<div draggable={!defaultRole}
     on:dragstart="dragStart(defaultRole, event)"
     on:dragover="dragOver(defaultRole, event)"
     on:drop="drop(defaultRole, event)"
     class="role-selection"
     class:selected="selected"
     class:dragging="dragging"
     on:click="fire('click', id)">
  {name}
</div>
<script>
  export default {
    computed: {
      defaultRole({guildId, id}) {
        return guildId == id;
      }
    },
    methods: {
      drop(defaultRole, event) {
        if (!defaultRole) this.fire("drop", event);
      },
      dragStart(defaultRole, event) {
        if (!defaultRole) this.fire("dragstart", event);
      },
      dragOver(defaultRole, event) {
        if (!defaultRole) this.fire("hover", event);
      }
    }
  };
</script>

<style>

  .role-selection.dragging {
    border: 2px dashed #f0f;
  }
  
  .role-selection:hover,
  .role-selection.selected {
    background: #4b4f52;
  }

  .role-selection {
    background: #2f3336;
    padding: 0.1em 0.25em;
    border-radius: 2px;
    cursor: pointer;
    margin: 3px;
    transition: ease-in-out 0.1s background-color;
  }
</style>
